[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Default ISA/tuning flags for GCC, --enable-kernel= level for glibc



Michael Cronenworth wrote:
> -------- Original Message --------
> Subject: Re: Default ISA/tuning flags for GCC, --enable-kernel= level
> for glibc
> From: Gerd Hoffmann <kraxel redhat com>
> To: Jakub Jelinek <jakub redhat com>, Development discussions related to
> Fedora <fedora-devel-list redhat com>
> CC: Jesse Keating <jkeating redhat com>, Tom Callaway
> <tcallawa redhat com>, Bill Nottingham <notting redhat com>, Ulrich
> Drepper <drepper redhat com>
> Date: 01/26/2009 02:39 PM
>>
>> Can we *please* wait a bit until raising the bar *that* high?  Breaking
>> mock builds for rawhide on F9/10 releases is a really bad idea IMHO.
>> Which meas supporting at least 2.6.27.  Maybe in a year when F9 is EOL
>> and F10 has a 2.6.29 kernel update we can reconsider 2.6.29.
>>
>> cheers,
>>   Gerd

> So when 2010 rolls around you'll be saying "pleaseeeee wait until F12
> has reached EOL"?

The point is that IMHO the rawhide glibc must be able to work with any
kernel in a supported Fedora release.  Needed for upgrades and mock
builds.  Which means 2.6.27 at this point in time.

There is also RHEL-5 aka 2.6.18.  I doubt anyone does serious Fedora
development on a RHEL-5 machine (due to increasing gap in package
versions and features between el5+rawhide), so I'm not sure how much
pain it would bring to people if the rawhide glibc stops working on RHEL-5.

> The pain has to occur sometime.

No.  We just can't make the huge jump from .9 to .29.  We have to do it
smaller steps, considering kernel versions at least in supported Fedora
versions, maybe also latest RHEL.

> How about rolling up to 2.6.18 right now? That shouldn't hurt anything,
> should it?

2.6.18 should be fine.

> Make 2.6.29 a Fedora 12 priority. This shouldn't go against what you
> requested.

Should work when we care about Fedora only.  When also requiring latest
RHEL I'd suspect it will more likely be Fedora 13 because we'll have to
wait for RHEL-6 being out there to jump from .18 to .29.

cheers,
  Gerd


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]